//https://www.youtube.com/bitabit

//Vídeo onde este código é utilizado: https://youtu.be/PM01f11eJVY

#define SENSOR_PIR 2
#define LED 3

bool estado_sensor = false;
bool movimento_detectado = false;

void setup() 
{
  pinMode(SENSOR_PIR, INPUT);
  pinMode(LED, OUTPUT);

  Serial.begin(9600);
}

void loop() 
{
  estado_sensor = digitalRead(SENSOR_PIR);

  if(estado_sensor)
  {
    if(!movimento_detectado)
    {
      digitalWrite(LED, HIGH);
      Serial.println("MOVIMENTO DETECTADO");
      
      movimento_detectado = true;
    }
  }
  else
  {
    if(movimento_detectado)
    {
      digitalWrite(LED, LOW);
      Serial.println("SEM MOVIMENTO");

      movimento_detectado = false;
    }
  }

  delay(100);
}
